Subject: bug#76590: closed (Re: bug#76590: 'package-menu--refresh' should account for -archives and -pinned-packages)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Mar 2025 02:35:03 +0000

Your bug report

#76590: 'package-menu--refresh' should account for -archives and -pinned-packages

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76590: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76590
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76590: 'package-menu--refresh' should account for -archives and -pinned-packages
From: Stefan Kangas <[email-masked]>
To: Ship Mints <[email-masked]>
Cc: [email-masked]
Date: Mon, 3 Mar 2025 18:33:54 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Ship Mints <[email-masked]> writes:

> Please close.

Done.

Subject: 'package-menu--refresh' should account for -archives and -pinned-packages
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Wed, 26 Feb 2025 10:27:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that I have to force a refresh via 'package-refresh-contents'
after changing either 'package-archives' or 'package-pinned-packages' as
'package-menu--refresh' accounts only for changes to
'package--old-archive-priorities'.

If agreed, I'd be happy to submit a patch so that package.el will honor
changes to variables in between refreshes, and "invalidate" the implied
cache.

-Stephane